Skip to main content
GET
/
browser_sessions
/
{session_id}
Get single browser session
curl --request GET \
  --url https://api.brightdata.com/browser_sessions/{session_id} \
  --header 'Authorization: Bearer <token>'
{
  "session": {
    "session_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "api_name": "scraping_browser1",
    "status": "finished",
    "timestamp": "2025-12-16T18:53:41Z",
    "target_url": "https://www.example.com",
    "end_url": "https://www.example.com/example/sub/domain",
    "navigations": 4,
    "duration": 209.444,
    "captcha": "solved",
    "bandwidth": 123456789,
    "error": null
  }
}

Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Path Parameters

session_id
string
required

Unique session identifier.

To retrieve the session_id of your current browser session, use Browser.getSessionId CDP command.

Response

Session retrieved successfully

session
object